导出 (0) 打印
全部展开

安装 Windows Phone SDK

2012/2/9

Windows Phone SDK 包括 Visual Studio 2010 Express for Windows Phone、Windows Phone 模拟器、XNA Game Studio、Expression Blend for Windows Phone、示例以及文档。如果您的开发计算机上已安装 Visual Studio 2010 Professional 或更高版本,则也会自动安装 Visual Studio 2010 Professional 的一个插件。有关更多信息,请参阅 Visual Studio 2010 Express for Windows Phone

您可以下载和安装在一个文件中生成和发布 Windows Phone 应用程序所需的任何内容。但是,请阅读发行说明以了解可能的先决条件。可以在以下位置之一找到发行说明和安装文件:

注意注意:

如果您只安装 Visual Studio 2010 Express for Windows® Phone 7.1,则可以将其安装在任何驱动器上。如果您的开发计算机上已安装 Visual Studio 2010 Professional 或更高版本,或者任何其他 Visual Studio Express 产品,则将 Windows Phone SDK 7.1 安装在与现有 Visual Studio 安装相同的驱动器上。

本主题包含以下各节:

下表包含 Windows Phone SDK 7.1 的系统要求。

警告说明警告:

不支持虚拟机。

支持的操作系统

  • Windows® Vista® x86 或 x64 Service Pack 2(除 Starter Edition 之外的所有版本)

  • Windows® 7 x86 或 x64(除 Starter Edition 之外的所有版本)

除非您安装了 Windows Phone SDK 的本地化版本之一,否则您的操作系统必须是 ENU 版本。有关更多信息,请参阅已本地化的 Windows Phone SDK

硬件

  • 安装要求系统驱动器上有 4 GB 的可用磁盘空间。

  • 3 GB RAM

不支持的平台

  • 不支持 Windows Server®。

  • 不支持 Windows® 8。

  • 不支持 Windows® XP。

  • 不支持虚拟机。

Windows Phone 模拟器

  • Windows® Phone 模拟器需要一个具有 WDDM 1.1 驱动程序和 DDI 10 或更高版本的 DirectX® 10 或更高版本的图形卡。

  • Windows Phone 模拟器需要 GPU 仿真来支持某些方案,如分析、XNA Framework 应用程序以及在 Web 浏览器控件中显示内容。

有关更多信息,请参阅 Windows Phone 模拟器的设置和系统要求

返回页首

您可以使用 Visual Studio 将您的应用程序部署到 Windows Phone 模拟器或 Windows Phone 设备。有关更多信息,请参阅如何:使用 Visual Studio 生成和部署 Windows Phone 应用程序

若要在 Windows Phone 设备上部署和调试您的应用程序,您必须安装 Zune 客户端软件。还必须使用 Windows Phone 开发人员注册工具注册您的设备。有关更多信息,请参阅在 Windows Phone 上部署和测试

返回页首

许多语言都有可用的 Windows Phone SDK 的本地化版本。只有在“系统要求”一节中指定的 Windows 7 版本和 Windows Vista 操作系统上才支持本地化版本。您可以使用以下语言的本地化 SDK 来编写 Windows Phone 应用程序:

  • 简体中文 (zh-CN)

  • 繁体中文 (zh-TW)

  • 法语 (fr-FR)

  • 德语 (de-DE)

  • 意大利语 (it-IT)

  • 日语 (ja-JP)

  • 朝鲜语 (ko-KR)

  • 俄语 (ru-RU)

  • 西班牙语 (es-ES)

注意注意:

您可以为使用其他语言(例如希腊语、印度尼西亚语、葡萄牙语、瑞典语等)的终端用户本地化您的 Windows Phone 应用和游戏。有关更多信息,请参阅 Windows Phone 区域性和语言支持

安装本地化的 SDK

若要下载本地化版本的 Windows Phone SDK,请转至下面的下载页,然后在语言列表框中选择需要的语言。

在一台计算机上,一次只能安装一种语言版本的 Windows Phone SDK。如果您当前安装了英语版本的 Windows Phone SDK 或者您想在以后在多种语言之间进行切换,则必须首先卸载现有的语言版本,然后安装新的语言版本。卸载 Windows Phone SDK 时,也必须卸载任何 Expression Blend® SDK 组件。

本地化的 SDK 操作系统支持

英语版本的 Windows Phone SDK 可以在受支持的任何语言的操作系统上安装。

本地化版本的 Windows Phone SDK 只能在受支持的相应语言的操作系统上安装。这即是说,本地化 SDK 的语言必须与操作系统的语言相匹配。

本地化的 SDK Visual Studio 支持

英语版本和本地化版本的 Windows Phone SDK 可以在具有多种 Visual Studio Professional 语言版本的计算机上安装。在可使用 Visual Studio Professional 进行 Windows Phone 开发之前,您必须将 Visual Studio Professional 的语言设置更改为与 Windows Phone SDK 的语言匹配。这即是说,SDK 的语言(包括英语)必须与 Visual Studio Professional 的语言匹配。

注意注意:

您不需要使用 Visual Studio 2010 Professional 来开发 Windows Phone 应用程序。有关更多信息,请参阅 Visual Studio 2010 Express for Windows Phone

返回页首

您可以在您的 Windows Phone 应用程序中使用其他可用的资源。

Silverlight for Windows Phone 工具包提供了可以添加到您的应用程序的其他控件。该工具包包含多种控件,如 DatePicker、TimePicker、ToggleSwitch、WrapPanel、ListPicker、LongListSelector 以及很多其他控件。有关更多信息以及如何安装该工具包的信息,请参阅 CodePlex 网站上的 Silverlight for Windows Phone 工具包

返回页首

Microsoft 正在进行一项网上调查,以了解您对 MSDN 网站的意见。 如果您选择参加,我们将会在您离开 MSDN 网站时向您显示该网上调查。

是否要参加?
显示:
© 2014 Microsoft